var categories = {
    "mastercategories":[
        {
            "index": 0,
            "description": "OBCA Service APIs use HTTP verbs and a RESTful endpoint structure. Request and response payloads are formatted as JSON.\n\OBCA Service API can be accessed using the following URL format\n\nhttp://host-name:port/{servicename}/{resource}/{resource-specific-parameters}\n-    Host name is the domain.\n-    The resource represents one of the SMS REST resources. \n-    The resource-specific part of the URL specifies the actual resource being referenced.\n\n",
            "name": "Overview"
        },
        {
            "index": 1,
            "description": "Account Services",
            "name": "Account Services"
        }
        ,
        {
            "index": 2,
            "description": "ChequeBook Services",
            "name": "ChequeBook Services"
        },

        {
            "index": 3,
            "description": "Transaction Balance Service",
            "name": "Transaction Balance Service"
        },
        {
            "index": 4,
            "description": "DDA Statement Services",
            "name": "DDA Statement Services"
        }
    ]
};
var subCategories = {
    "list": [
        {
            index: 1,
            yaml: '../../OBCA/obcdda-pp-account-services/accountservicesServiceApiAggregate.yaml',
            description: 'This is the API for account Configuration. This function is used to create different categories of account, update the different data segments for the specified account resource number.',
            parentcategory: 'Account Services',
            displayName: 'Account Services'
        },

        {
            index: 2,
            yaml: '../../OBCA/obcdda-pp-chequebook-services/chequebookservicesServiceApiAggregate.yaml',
            description: 'This is the API for cheque book operations for account Configuration.',
            parentcategory: 'ChequeBook Services',
            displayName: 'ChequeBook Services'
        },

        {
            index: 3,
            yaml: '../../OBCA/obcdda-pp-transaction-balance-service/transactionBalanceServiceOpenApi.yaml',
            description: 'It contains list of APIs supported in Transaction Balance Service',
            parentcategory: 'Transaction Balance Service',
            displayName: 'Transaction Balance Service'
        },
        {
            index: 4,
            yaml: '../../OBCA/dda-statement-services/AccountStatementService.yaml',
            description: 'It contains list of APIs supported in DDA Statement Services',
            parentcategory: 'DDA Statement Services',
            displayName: 'DDA Statement Services'
        }


    ]
}