﻿var categoriesCount =0;
var categories = {
"mastercategories":[
{
    "index": categoriesCount++,
	"description": "OBLM Service APIs use HTTP verbs and a RESTful endpoint structure. Request and response payloads are formatted as JSON.\n\n",
    "name": "Overview"
},
{
	"index": categoriesCount++,
	"description": "",
	"name": "Interest Input Services"
},
{
	"index": categoriesCount++,
	"description": "",
	"name": "Online Liquidation Services"
},
{
	"index": categoriesCount++,
	"description": "",
	"name": "Cash Concentration Services"
},
{
	"index": categoriesCount++,
	"description": "",
	"name": "Dashboard Services"
},
{
	"index": categoriesCount++,
	"description": "",
	"name": "ICL Services"
},
{
	"index": categoriesCount++,
	"description": "",
	"name": "Integration Services"
},
{
	"index": categoriesCount++,
	"description": "",
	"name": "Maintenance Services"
},
{
	"index": categoriesCount++,
	"description": "",
	"name": "Messaging Services"
},
{
	"index": categoriesCount++,
	"description": "",
	"name": "Pool Services"
},
{
	"index": categoriesCount++,
	"description": "",
	"name": "Report Services"
},
{
	"index": categoriesCount++,
	"description": "",
	"name": "RTL Services"
},
{
	"index": categoriesCount++,
	"description": "",
	"name": "Structure Services"
},
{
	"index": categoriesCount++,
	"description": "",
	"name": "Sweep Services"
},
{
    "index": categoriesCount++,
    "description": "",
    "name": "Charge Services"
},
]
};
var subCategoriesCount = 1;
var subCategories = {
	"list":[
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-cash-concentration-services/service/SweepInstructionService.yaml",
		"description": "This service is used to perform Sweep Instruction related Operations like create new instruction, get all valid instructions etc.",
		"parentcategory": "Cash Concentration Services",
		"displayName": "Cash Concentration Services - Sweep Instruction related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-cash-concentration-services/service/SweepProductsService.yaml",
		"description": "This service is used to perform Sweep Product related Operations like get all valid sweep products",
		"parentcategory": "Cash Concentration Services",
		"displayName": "Cash Concentration Services - Sweep Products related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-dashboard-services/service/accountmapService.yaml",
		"description": "This service is used to retrieve the account map - currency wise balances of a corporate across all structures in a location.",
		"parentcategory": "Dashboard Services",
		"displayName": "Dashboard Services - Account Map related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-dashboard-services/service/currencybalanceService.yaml",
		"description": "This service is used to retrieve the currency balance.The currency balance refers to the EOD balances.It will basically list corporate currency wise total positions on a day for the past 30 days.",
		"parentcategory": "Dashboard Services",
		"displayName": "Dashboard Services - Currency Balance related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-dashboard-services/service/currencyliabilityService.yaml",
		"description": "This service is used to retrieve the currency wise liability balances across regions in five main currencies (USD, EUR, GBP, JPY and SGD).",
		"parentcategory": "Dashboard Services",
		"displayName": "Dashboard Services - Currency Liability related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-dashboard-services/service/CustomerService.yaml",
		"description": "This service is used to get all the valid customer maintenance records.",
		"parentcategory": "Dashboard Services",
		"displayName": "Dashboard Services - Customer related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-dashboard-services/service/effectivebalanceService.yaml",
		"description": "This service is used to query the Effective Balances",
		"parentcategory": "Dashboard Services",
		"displayName": "Dashboard Services - Effective Balance related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-dashboard-services/service/eventsService.yaml",
		"description": "This service is used to perform Events related Operations",
		"parentcategory": "Dashboard Services",
		"displayName": "Dashboard Services - Events related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-dashboard-services/service/interestdetailsService.yaml",
		"description": "This service is used to perform Interest Details related Operations",
		"parentcategory": "Dashboard Services",
		"displayName": "Dashboard Services - Interest Details related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-dashboard-services/service/investmentdetailsService.yaml",
		"description": "This service is used to retrieve Investment Details",
		"parentcategory": "Dashboard Services",
		"displayName": "Dashboard Services - Investment Details related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-dashboard-services/service/rmdashboardService.yaml",
		"description": "This service is used to query the data for RM Dashboard like Liquidity Management transactions and the relevant system alerts. ",
		"parentcategory": "Dashboard Services",
		"displayName": "Dashboard Services - RM Dashboard related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-dashboard-services/service/scheduledsweepsService.yaml",
		"description": "This service is used to get the list of sweeps scheduled for the day, as per the logged in user’s time zone",
		"parentcategory": "Dashboard Services",
		"displayName": "Dashboard Services - Scheduled Sweeps related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-dashboard-services/service/topcrossbordersweepsService.yaml",
		"description": "This service is used to display the top five cross border sweeps for the day in terms of sweep amount",
		"parentcategory": "Dashboard Services",
		"displayName": "Dashboard Services - Top Cross Border Sweeps related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-dashboard-services/service/topcustomersbalanceService.yaml",
		"description": "This service is used to query the top customers based on the total available balance,and accordingly strategise the sale and customer retention",
		"parentcategory": "Dashboard Services",
		"displayName": "Dashboard Services - Top Customer Balances related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-dashboard-services/service/topcustomersweepsService.yaml",
		"description": "This service is used to query the most active sweep customers for the day. It can help in estimating revenue from each customer when the charges are sweep based.",
		"parentcategory": "Dashboard Services",
		"displayName": "Dashboard Services - Top Customer Sweeps related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-icl-services/service/CustomerService.yaml",
		"description": "This service is used to retrieve and perform some operations on valid lending Customers",
		"parentcategory": "ICL Services",
		"displayName": "ICL Services - Customer related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-icl-services/service/LoanService.yaml",
		"description": "This service is used to perform Loan related operations like getting a list of valid loans, loan details based on loan id, pending loans for a customer etc.",
		"parentcategory": "ICL Services",
		"displayName": "ICL Services - Loan related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-icl-services/service/LoanTransactionService.yaml",
		"description": "This service is used to get all valid transactions of an existing loan",
		"parentcategory": "ICL Services",
		"displayName": "ICL Services - Loan Transaction related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-integration-services/service/BalanceService.yaml",
		"description": "This service is used to perform Balance related operations like fetching the VD Balances, uploading Balances, modify VD Balances etc.",
		"parentcategory": "Integration Services",
		"displayName": "Integration Services - Balance Fetch related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-integration-services/service/EventService.yaml",
		"description": "This service is used to perform Event driven functionality, like storing the events to be published, publishing already logged events on kafka.",
		"parentcategory": "Integration Services",
		"displayName": "Integration Services - Event related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-integration-services/service/ExternalSystemService.yaml",
		"description": "This service is used to update the transaction hand off status.",
		"parentcategory": "Integration Services",
		"displayName": "Integration Services - External System related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-integration-services/ExternalSystemLog.yaml",
		"description": "This service is used to fetch all the External Systems setup details",
		"parentcategory": "Integration Services",
		"displayName": "Integration Services - External System Log related API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-integration-services/service/InterfaceService.yaml",
		"description": "This service is used to fetch all the interfaces.",
		"parentcategory": "Integration Services",
		"displayName": "Integration Services - Interface related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-integration-services/service/IOStructureService.yaml",
		"description": "This service is used to perform Interest Optimization Structure related operations like fetch, authorize.Interest Optimization method works by applying preferential pricing across a group of accounts on the basis of pre-determined criteria that are typically based on a net aggregate balance threshold." +
                        				"\nFor example, a company with multiple credit balances distributed across its various operating centers may find that individually these balances only qualify for the lowest interest-rate tier payable on credit balances. By contrast, under an interest-Optimization arrangement, the total of these balances is used to enhance the qualifying tier of the individual balances",
		"parentcategory": "Integration Services",
		"displayName": "Integration Services - IOStructure related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-integration-services/service/PaymentInterfaceService.yaml",
		"description": "This service is used to perform operations on Payment Interface, like saving and modifying payment Interface.",
		"parentcategory": "Integration Services",
		"displayName": "Integration Services - Payment Interface related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-integration-services/service/PreEodCheckService.yaml",
		"description": "This service is used to perform Pre EOD Check, like fetching unauthorized maintenance,structure and sweep pending records, fetching all valid job scheduler maintenance records, to check whether the branch has pending maintenances for authorization etc.",
		"parentcategory": "Integration Services",
		"displayName": "Integration Services - Pre Eod Check related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-integration-services/service/TransactionLogService.yaml",
		"description": "This service is used to perform Transaction Log related operations like fetching pending sweep transaction, to get all valid transaction log maintenance records.",
		"parentcategory": "Integration Services",
		"displayName": "Integration Services - Transaction Log related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-maintenance-services/service/AccountService.yaml",
		"description": "This service is used to perform operations on participating accounts like retrieve list of all virtual and real accounts, update and close the account etc.",
		"parentcategory": "Maintenance Services",
		"displayName": "Maintenance Services - Account Service related API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-maintenance-services/service/AccountSpecialRateService.yaml",
		"description": "This service is used to retrieve the valid account special rates supported by the bank.",
		"parentcategory": "Maintenance Services",
		"displayName": "Maintenance Services - Account Special Rate related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-maintenance-services/service/ApplicationParametersService.yaml",
		"description": "This service is used to get the configured system level parameters",
		"parentcategory": "Maintenance Services",
		"displayName": "Maintenance Services - Application Parameters related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-maintenance-services/service/BankParametersService.yaml",
		"description": "This service is used to perform Bank Parameter related operations such as get a list of configured bank level parameters, get the bank history by ID etc.",
		"parentcategory": "Maintenance Services",
		"displayName": "Maintenance Services - Bank Parameters related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-maintenance-services/service/BranchParametersService.yaml",
		"description": "This service is used to perform Branch Parameter related operations like retrieve the branch details,update branch details, Get all valid branch bic codes etc.",
		"parentcategory": "Maintenance Services",
		"displayName": "Maintenance Services - Branch Parameters related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-maintenance-services/service/CitiesService.yaml",
		"description": "This service is used to perform Cities related operations like get the list of all world-cities, retrieve the city by Country code",
		"parentcategory": "Maintenance Services",
		"displayName": "Maintenance Services - Sweep Products related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-maintenance-services/service/CountryParametersService.yaml",
		"description": "This service is used to retrieve the list of configured country parameters.",
		"parentcategory": "Maintenance Services",
		"displayName": "Maintenance Services - Country Parameters related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-maintenance-services/service/CurrencyCutoffService.yaml",
		"description": "This service is used to perform Currency Cutoff operations like retrieving currency cutoffs supported by the bank",
		"parentcategory": "Maintenance Services",
		"displayName": "Maintenance Services - Currency Cutoff related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-maintenance-services/service/CurrencyParametersService.yaml",
		"description": "This service is used to perform Currency operations like retrieving currencies supported by the bank ",
		"parentcategory": "Maintenance Services",
		"displayName": "Maintenance Services - Currency Parameters related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-maintenance-services/Customer.yaml",
		"description": "This service is used to perform Customer maintenance related operations.",
		"parentcategory": "Maintenance Services",
		"displayName": "Maintenance Services - Customer related API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-maintenance-services/service/DefaultPaymentInstructionService.yaml",
		"description": "This service is used to perform Default Payment Instruction related operations.Default Payment Instruction allows the user to maintain a matrix that decides the default payment service for an account pair involved in a liquidity structure, based on parameters like DDA/Hosts involved, Entities involved, and the Type of Payment (Internal/Domestic/Cross-Border).",
		"parentcategory": "Maintenance Services",
		"displayName": "Maintenance Services - Default Payment Instruction related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-maintenance-services/service/EventService.yaml",
		"description": "This service is used to perform Event related operations",
		"parentcategory": "Maintenance Services",
		"displayName": "Maintenance Services - Event related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-maintenance-services/service/FrequencyService.yaml",
		"description": "This service is used to perform Frequency related operations.",
		"parentcategory": "Maintenance Services",
		"displayName": "Maintenance Services - Frequency related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-maintenance-services/service/IntAccountGroupService.yaml",
		"description": "This service is used to perform Interest Account Group related operations.",
		"parentcategory": "Maintenance Services",
		"displayName": "Maintenance Services - Interest Account Group related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-maintenance-services/service/MessageTypeService.yaml",
		"description": "This service is used to query all valid message types",
		"parentcategory": "Maintenance Services",
		"displayName": "Maintenance Services - Message Type related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-maintenance-services/service/TimeZoneService.yaml",
		"description": "This service is used to query Time Zone ",
		"parentcategory": "Maintenance Services",
		"displayName": "Maintenance Services - Time Zone related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-maintenance-services/service/UnAuthRecordsService.yaml",
		"description": "This service is used to query Unauthorized Records in the system",
		"parentcategory": "Maintenance Services",
		"displayName": "Maintenance Services - UnAuthorized Records related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-maintenance-services/service/UserLinkageService.yaml",
		"description": "This service is used to perform operations on the list of configured customer and user linkage",
		"parentcategory": "Maintenance Services",
		"displayName": "Maintenance Services - User Linkage related Service API"
	},
	{
    	"index": subCategoriesCount++,
    	"yaml": "oblm-messaging-services/service/ExternalMessageLogService.yaml",
    	"description": "This service is used to get external message log based on input criteria",
    	"parentcategory": "Messaging Services",
    	"displayName": "Messaging Services - External Message Log related Service API"
    },
    {
    	"index": subCategoriesCount++,
    	"yaml": "oblm-pool-services/service/poolService.yaml",
    	"description": "This service is used to perform Pool related operations.",
    	"parentcategory": "Pool Services",
    	"displayName": "Pool Services - Pool related Service API"
    },
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-pool-services/service/reallocService.yaml",
		"description": "This service is used to perform Pool Reallocation related operations, like fetching reallocation details, fetching IC entries for Accrual handoff etc",
		"parentcategory": "Pool Services",
		"displayName": "Pool Services - Reallocation related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-report-services/SimulationReport.yaml",
		"description": "This service is used to generate sweep benefit report along with log summary",
		"parentcategory": "Report Services",
		"displayName": "Report Services - Simulation Report related API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-rtl-services/service/RtlTxnMonitorService.yaml",
		"description": "This service is used to perform Real Time Liquidity Transaction related operations.",
		"parentcategory": "RTL Services",
		"displayName": "RTL Services - RtlTxnMonitor related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-rtl-services/service/StructureService.yaml",
		"description": "This service is used to perform Real Time Liquidity Structure related operations.",
		"parentcategory": "RTL Services",
		"displayName": "RTL Services - Structure related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-structure-services/service/StructureMaintenanceService.yaml",
		"description": "This service is used to perform Structure Maintenance related operations for Service application, like fetching, creating, modifying, closing, reopening, authorizing a structure etc.",
		"parentcategory": "Structure Services",
		"displayName": "Structure Services - Structure Maintenance related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-structure-services/service/StructurePriorityService.yaml",
		"description": "This service is used to perform Structure Priority related operations, like getting the structure priority details.",
		"parentcategory": "Structure Services",
		"displayName": "Structure Services - Structure Priority related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-sweep-services/service/ContributionService.yaml",
		"description": "This service is used to perform Contribution related operations like getting the daily contribution, calculating the parent contribution etc.",
		"parentcategory": "Sweep Services",
		"displayName": "Sweep Services - Contribution related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-sweep-services/service/reallocService.yaml",
		"description": "This service is used fetch the Sweep Reallocation Logs.",
		"parentcategory": "Sweep Services",
		"displayName": "Sweep Services - realloc related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-sweep-services/ReverseSweepService.yaml",
		"description": "This service is used to perform Reverse Sweep related operations like executing different types of synchronous and asynchronous reverse sweep etc.",
		"parentcategory": "Sweep Services",
		"displayName": "Sweep Services - ReverseSweepService related API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-sweep-services/SweepLog.yaml",
		"description": "This service is used to perform Sweep Log related operations, like fetching all sweep log data.",
		"parentcategory": "Sweep Services",
		"displayName": "Sweep Services - Sweep Log related API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-sweep-services/service/SweepMasterService.yaml",
		"description": "This service is used to fetch Sweep Data that are already executed",
		"parentcategory": "Sweep Services",
		"displayName": "Sweep Services - SweepMaster related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-sweep-services/SweepService.yaml",
		"description": "This service is used to perform Sweep execution related operations like executing different types of synchronous and asynchronous sweep, simulate sweep executions etc",
		"parentcategory": "Sweep Services",
		"displayName": "Sweep Services - Sweep Service related API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "oblm-sweep-services/service/SystemAccountService.yaml",
		"description": "This service is used for system account related operations for Sweep Execution process like fetching the system account for a account pair sweep etc.",
		"parentcategory": "Sweep Services",
		"displayName": "Sweep Services - System Account related Service API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "../../OBLM/obic-interest-input-services/extSde.yaml",
		"description": "This service is used to populate External SDE values.",
		"parentcategory": "Interest Input Services",
		"displayName": "Interest Input Services  - External SDE related API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "../../OBLM/obic-interest-input-services/icquery.yaml",
		"description": "These services provide a single point of entry to initiate various processes. " +
				"\nCreate, read and modify below resources" +
				"\nProducs, Group mappings, Account related queries",
		"parentcategory": "Interest Input Services",
		"displayName": "Interest Input Services  - Account and Product related API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "../../OBLM/obic-interest-input-services/intInput.yaml",
		"description": "These services provide a single point of entry to initiate various processes. " +
				"\nCreate, read and modify below resources" +
				"\nSpecial/General rates, Ic Accounts",
		"parentcategory": "Interest Input Services",
		"displayName": "Interest Input Services  - Rate and Account related API"
	},
	{
    	"index": subCategoriesCount++,
    	"yaml": "../../OBLM/obic-interest-input-services/IcFileUploadApis.yaml",
    	"description": "These services provide a single point of entry to initiate various processes. " +
    				"\nApis for upload and parse files",
    	"parentcategory": "Interest Input Services",
    	"displayName": "Interest Input Services  - Upload and Parse Files related API"
    },
	{
		"index": subCategoriesCount++,
		"yaml": "../../OBLM/obic-online-liquidation-services/onliq.yaml",
		"description": "This Service is used to maintain Core Branch Parameters." +
				"\nThis Service will allow us to maintain the parameters for branch that are common across the services using the branch service." +
				"\nBranch Code Uniquely Distinguishes a Branch.",
		"parentcategory": "Online Liquidation Services",
		"displayName": "Online Liquidation Services  - Branch Parameter related API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "../../OBLM/vamlm-charge-services/chargesInqService.yaml",
		"description": "This API facilitates enquiry of all charges associated to a customer within an application based on the selected filters",
		"parentcategory": "Charge Services",
		"displayName": "Charge Inquiry related API"
	},
	{
		"index": subCategoriesCount++,
		"yaml": "../../OBLM/vamlm-charge-services/ChargesService.yaml",
		"description": "This API facilitates charge definition query.",
		"parentcategory": "Charge Services",
		"displayName": "Charge Definition related API"
	}
	]
}
