﻿var categories = {
"mastercategories":[
{
    "index": 0,
    "description": "Oracle Banking Collections and Recovery Service APIs use HTTP verbs and a RESTful endpoint structure. Request and response payloads are formatted as JSON.\n\Oracle Banking Collections and Recovery REST API can be accessed using the following URL format\n\nhttp://host-name:port/{servicename}/{resource}/{resource-specific-parameters}\n-	Host name is the domain.\n-	The resource represents one of the Oracle Banking Collections and Recovery REST resources. \n-	The resource-specific part of the URL specifies the actual resource being referenced.\n\n",         
    "name": "Overview"
}
,
{
	"index": 1,
	"description": "APIs for Oracle Banking Collections and Recovery common services used across multiple domain services.",
	"name": "Common Services"
},
{
	"index": 2,
	"description": "APIs to receive the inbound data from product processor.",
	"name": "Entity Services"
}
,
{
	"index": 3,
	"description": "APIs for segment maintenance and processing.",
	"name": "Segmentation Services"
}
,
{
	"index": 4,
	"description": "APIs for strategy maintenance and processing.",
	"name": "Strategy Services"
}
,
{
	"index": 5,
	"description": "APIs for Task maintenance and processing.",
	"name": "Task Services"
}
,
{
	"index": 6,
	"description": "APIs for user allocation maintenance and processing.",
	"name": "User Management Services"
}
,
{
	"index": 7,
	"description": "APIs for promise to pay maintenance and processing.",
	"name": "Promise to Pay Services"
}
,
{
	"index": 8,
	"description": "APIs for call action maintenance and processing.",
	"name": "Call Action Services"
}
,
{
	"index": 9,
	"description": "APIs for logging activities across the domain",
	"name": "Activity Log Services" 
}
,
{
	"index": 10,
	"description": "APIs for Collector and Supervisor Dashboard.",
	"name": "Dashboard Services"
}
]
};
var subCategories = {
	"list":[
		{
			"index": 1,
			"yaml": "obcr-common-services/productprocessor/ProductProcessor.yaml",
			"description": "This service provide a single point of entry to initiate the Product Processor creation in the Oracle Banking Collections and Recovery.",
				 "parentcategory": "Common Services",
			"displayName": "Product Processor"
		},
		{
			"index": 2,
			"yaml": "obcr-common-services/lookup/LookupType.yaml",
			"description": "This service provide a single point of entry to initiate the Lookup Type creation in the Oracle Banking Collections and Recovery.",
				 "parentcategory": "Common Services",
			"displayName": "Lookup Type"
		},
		{
			"index": 3,
			"yaml": "obcr-common-services/batch/FactDetails.yaml",
			"description": "This service provide a single point to get the Fact detail in the Oracle Banking Collections and Recovery.",
				 "parentcategory": "Common Services",
			"displayName": "Fact Details"
		},
		{
			"index": 4,
			"yaml": "obcr-common-services/identifierdefinition/IdentifierDefinition.yaml",
			"description": "This service provide a single point to get identifier definition in the Oracle Banking Collections and Recovery.",
				 "parentcategory": "Common Services",
			"displayName": "Identifier Definition"
		},	
		{
			"index": 5,
			"yaml": "obcr-entity-services/account/DmAccount.yaml",
			"description": "This service is used to populate basic financial & non-financial details of account. ",
				 "parentcategory": "Entity Services",
			"displayName": "Account Details"
		},
		{
			"index": 6,
			"yaml": "obcr-entity-services/account/DmAccountArrears.yaml",
			"description": "This service is used to populate arrear details of the account.",
				 "parentcategory": "Entity Services",
			"displayName": "Account Arrears"
		},
		{
			"index": 7,
			"yaml": "obcr-entity-services/account/DmAccountBillDtls.yaml",
			"description": "This service is used to populate bill information of the account.",
				 "parentcategory": "Entity Services",
			"displayName": "Account Bill Details"
		},
		{
			"index": 8,
			"yaml": "obcr-entity-services/account/DmAccountDelHistory.yaml",
			"description": "This service is used to populate delinquency history of the account. ",
				 "parentcategory": "Entity Services",
			"displayName": "Account Deliquency History"
		},

		{
			"index": 9,
			"yaml": "obcr-entity-services/account/DmAccountRepaySch.yaml",
			"description": "This service is used to populate repayment schedule of the account.",
				 "parentcategory": "Entity Services",
			"displayName": "Account Repayment Schedule"
		},
		{
			"index": 10,
			"yaml": "obcr-entity-services/account/DmAccountReview.yaml",
			"description": "This service is used to populate review date of the account.",
				 "parentcategory": "Entity Services",
			"displayName": "Account Review Date"
		},
		{
			"index": 11,
			"yaml": "obcr-entity-services/account/DmPayment.yaml",
			"description": "This service is used to populate payment details of the account.",
				 "parentcategory": "Entity Services",
			"displayName": "Account Payment Details"
		},
		{
			"index": 12,
			"yaml": "obcr-entity-services/collateral/DmCollateral.yaml",
			"description": "This service is used to populate basic details of the collateral.",
				 "parentcategory": "Entity Services",
			"displayName": "Collateral Details"
		},
		{
			"index": 13,
			"yaml": "obcr-entity-services/collateral/DmCollateralCharge.yaml",
			"description": "This service is used to populate charge details of the collateral.",
				 "parentcategory": "Entity Services",
			"displayName": "Collateral Charge"
		},
		{
			"index": 14,
			"yaml": "obcr-entity-services/collateral/DmCollateralLinkage.yaml",
			"description": "This service is used to populate collateral and account linkage.",
				 "parentcategory": "Entity Services",
			"displayName": "Collateral Linkage"
		},
		{
			"index": 15,
			"yaml": "obcr-entity-services/collateral/DmCollateralOwner.yaml",
			"description": "This service is used to populate ownership details of the collateral.",
				 "parentcategory": "Entity Services",
			"displayName": "Collateral Owner"
		},
		{
			"index": 16,
			"yaml": "obcr-entity-services/collateral/DmInsurance.yaml",
			"description": "This service is used to populate basic details of the insurance.",
				 "parentcategory": "Entity Services",
			"displayName": "Insurance"
		},
		{
			"index": 17,
			"yaml": "obcr-entity-services/feedentity/DmFeedEntity.yaml",
			"description": "This service is used to create Feed Entity in the Oracle Banking Collections and Recovery. ",
				 "parentcategory": "Entity Services",
			"displayName": "Feed Entity"
		},
		{
			"index": 18,
			"yaml": "obcr-entity-services/party/DmAccountParty.yaml",
			"description": "This service is used to populate account party relationship.",
				 "parentcategory": "Entity Services",
			"displayName": "Account Party Relationship"
		},
		{
			"index": 19,
			"yaml": "obcr-entity-services/party/DmParty.yaml",
			"description": "This service is used to populate basic details of the party.",
				 "parentcategory": "Entity Services",
			"displayName": "Party Details"
		},


		{
			"index": 20,
			"yaml": "obcr-entity-services/party/DmPartyAddress.yaml",
			"description": "This service is used to populate address details of the party.",
				 "parentcategory": "Entity Services",
			"displayName": "Party Address"
		},
		{
			"index": 21,
			"yaml": "obcr-entity-services/party/DmPartyContact.yaml",
			"description": "This service is used to populate contact details of the party.",
				 "parentcategory": "Entity Services",
			"displayName": "Party Contact"
		},
		{
			"index": 22,
			"yaml": "obcr-entity-services/party/DmPartyEmployment.yaml",
			"description": "This service is used to populate employment details of the party.",
				 "parentcategory": "Entity Services",
			"displayName": "Party Employment Details"
		},
		{
			"index": 23,
			"yaml": "obcr-entity-services/party/DmPartyIdentity.yaml",
			"description": "This service is used to populate identification details of the party.",
				 "parentcategory": "Entity Services",
			"displayName": "Party Identity"
		},
		{
			"index": 24,
			"yaml": "obcr-entity-services/party/DmPartyName.yaml",
			"description": "This service is used to populate name details of the party.",
				 "parentcategory": "Entity Services",
			"displayName": "Party Name"
		},
		{
			"index": 25,
			"yaml": "obcr-entity-services/riskindicator/DmRiskIndicator.yaml",
			"description": "This service is used to populate risk indicator details on account and party.",
				 "parentcategory": "Entity Services",
			"displayName": "Risk Indicator"
		},

		{
			"index": 26,
			"yaml": "obcr-entity-services/seeddataconfig/DmSeedDataConfig.yaml",
			"description": "This service is used to create Seed Data Configuration in the Oracle Banking Collections and Recovery.",
				 "parentcategory": "Entity Services",
			"displayName": "Seed Data Configuration"
		},
		{
			"index": 27,
			"yaml": "obcr-segment-maint-services/Segment.yaml",
			"description": "This service is used to create segment configuration in the Oracle Banking Collections and Recovery.",
				 "parentcategory": "Segmentation Services",
			"displayName": "Segment Maintenance"
		},
		{
			"index": 28,
			"yaml": "obcr-segmentation-services/SegmentBatch.yaml",
			"description": "This service is used for segmentation of account in the Oracle Banking Collections and Recovery.",
				 "parentcategory": "Segmentation Services",
			"displayName": "Segment Batch"
		},
		{
			"index": 29,
			"yaml": "obcr-strategy-maint-services/Strategymaintenance.yaml",
			"description": "This service is used to create Strategy configuration in the Oracle Banking Collections and Recovery.",
				 "parentcategory": "Strategy Services",
			"displayName": "Strategy Maintenance"
		},
		{
			"index": 30,
			"yaml": "obcr-strategy-services/batch/DmCase.yaml",
			"description": "This service is used for accessing case creation data in the Oracle Banking Collections and Recovery.",
				 "parentcategory": "Strategy Services",
			"displayName": "Case"
		},
		{
			"index": 31,
			"yaml": "obcr-strategy-services/batch/DmCaseAccountAssociation.yaml",
			"description": "This service is used for associate the case and account in the Oracle Banking Collections and Recovery. ",
				 "parentcategory": "Strategy Services",
			"displayName": "Case Account Association"
		},
		{
			"index": 32,
			"yaml": "obcr-strategy-services/core/Strategy.yaml",
			"description": "This service is used for strategy mapping for case in the Oracle Banking Collections and Recovery.",
				 "parentcategory": "Strategy Services",
			"displayName": "Strategy"
		},
		{
			"index": 33,
			"yaml": "obcr-strategy-services/tasktype/TaskType.yaml",
			"description": "This service is used to create task type configuration in the Oracle Banking Collections and Recovery.",
				 "parentcategory": "Strategy Services",
			"displayName": "Task Type"
		},
		{
			"index": 34,
			"yaml": "obcr-task-maint-services/taskworkflow/TaskWorkflow.yaml",
			"description": "This service is used to create task workflow configuration in the Oracle Banking Collections and Recovery.",
				 "parentcategory": "Task Services",
			"displayName": "Task Workflow Maintenance"
		},
		{
			"index": 35,
			"yaml": "obcr-task-services/AdhocTask.yaml",
			"description": "This service is used to create ad-hoc task in the Oracle Banking Collections and Recovery.",
				 "parentcategory": "Task Services",
			"displayName": "Adhoc Task"
		},
		{
			"index": 36,
			"yaml": "obcr-task-services/TaskSummary.yaml",
			"description": "This service is used for task summary in the Oracle Banking Collections and Recovery.",
				 "parentcategory": "Task Services",
			"displayName": "Task Summary"
		},
		{
			"index": 37,
			"yaml": "obcr-task-services/TaskWorkFlowBatch.yaml",
			"description": "This service is used to process the task workflow in the Oracle Banking Collections and Recovery.",
				 "parentcategory": "Task Services",
			"displayName": "Task Workflow Batch"
		},
		{
			"index": 38,
			"yaml": "obcr-user-management-services/UserAssign.yaml",
			"description": "This service is used to create user assignment configuration in the Oracle Banking Collections and Recovery.",
				 "parentcategory": "User Management Services",
			"displayName": "User Assign"
		},
		{
			"index": 39,
			"yaml": "obcr-user-management-services/UserAssignment.yaml",
			"description": "This service is used to process user allocation in the Oracle Banking Collections and Recovery.",
				 "parentcategory": "User Management Services",
			"displayName": "User Assignment"
		},
		{
			"index": 40,
			"yaml": "obcr-user-management-services/UserGroup.yaml",
			"description": "This service is used to create user group in the Oracle Banking Collections and Recovery.",
				 "parentcategory": "User Management Services",
			"displayName": "User Group"
		},
		{
			"index": 41,
			"yaml": "obcr-ptp-services/PTP.yaml",
			"description": "This service is used for promise to pay creation and processing in the Oracle Banking Collections and Recovery.",
				 "parentcategory": "Promise to Pay Services",
			"displayName": "Promise to Pay Details"
		},	
		{
			"index": 42,
			"yaml": "obcr-ptp-services/PTPType.yaml",
			"description": "This service is used to create promise to pay type configuration in the Oracle Banking Collections and Recovery.",
				 "parentcategory": "Promise to Pay Services",
			"displayName": "Promise to Pay Type"
		},
		{
			"index": 43,
			"yaml": "obcr-action-services/CallAction.yaml",
			"description": "This service is used for call action configuration in the Oracle Banking Collections and Recovery.",
				 "parentcategory": "Call Action Services",
			"displayName": "Call Action"
		},
		{
			"index": 44,
			"yaml": "obcr-action-services/callactiontransactional/CallActionTransactional.yaml",
			"description": "This service is used for call action transactions in the Oracle Banking Collections and Recovery.",
				 "parentcategory": "Call Action Services",
			"displayName": "Call Action Transactional"
		},
		{
			"index": 45,
			"yaml": "obcr-activity-services/activity/Activity.yaml",
			"description": "This service is used to capture activities on account in the Oracle Banking Collections and Recovery.",
				 "parentcategory": "Activity Log Services",
			"displayName": "Activity Log"
		},
        {
            "index": 46,
         	"yaml": "obcr-dashboard-services/Dashboard.yaml",
         	"description": "This service is used to perform Collector Dashboard Transaction Service operations in the Oracle Banking Collections and Recovery.",
         	"parentcategory": "Dashboard Services",
         	"displayName": "Dashboard"
        }
	]
}
