﻿var categories = {
"mastercategories":[
{
    "index": 0,
"description": "OBO REST APIs use HTTP verbs and a RESTful endpoint structure. Request and response payloads are formatted as JSON.\n\nOBO REST API can be accessed using the following URL format\n\nhttp://host-name:port/{servicename}/{resource}/{resource-specific-parameters}\n-	Host name is the domain.\n-	The resource represents one of the OBO REST resources. \n-	The resource-specific part of the URL specifies the actual resource being referenced.\n\n",
    "name": "Overview"
},
{
    "index": 1,
	"description": "",
    "name": "Process Driver Services"
},
{
    "index": 2,
    "description": "",
    "name": "Projection Services"
},
{
    "index": 3,
    "description": "",
    "name": "Business Product Details Services"
},
{
    "index": 4,
    "description": "",
    "name": "Business Process Services"
},
{
    "index": 5,
    "description": "",
    "name": "Maintenance Services"
},
{
    "index": 6,
    "description": "",
    "name": "Sav Account Services"
},
{
    "index": 7,
    "description": "",
    "name": "Term Deposit Services"
},
{
    "index": 8,
    "description": "",
    "name": "Loan Application Services"
},
{
    "index": 9,
    "description": "",
    "name": "Common Applicant Services"
},
{
    "index": 10,
    "description": "",
    "name": "Score Card Services"
},
{
    "index": 11,
    "description": "",
    "name": "Host Services"
},
{
    "index": 12,
    "description": "",
    "name": "Ipa Services"
},
{
    "index": 13,
    "description": "",
    "name": "Credit Card Application Services"
},
{
    "index": 14,
    "description": "",
    "name": "Collateral Services"
},
{
    "index": 15,
    "description": "",
    "name": "ML Service"
}
]
};
var subCategories = {
    "list":[
        {
            "index": 1,
            "yaml": "../../OBO/obremo-rpm-process-driver-services/application_transaction_master.yaml",
            "description": "Application Transaction Master contains details of application numbers and related process reference numbers",
            "parentcategory": "Process Driver Services",
            "displayName": "Application Transaction Master"
        },
        {
            "index": 2,
            "yaml": "../../OBO/obremo-rpm-process-driver-services/cart.yaml",
            "description": "APIs for inserting/deleting from Product Catalogue Cart",
            "parentcategory": "Process Driver Services",
            "displayName": "Cart"
        },
        {
            "index": 3,
            "yaml": "../../OBO/obremo-rpm-process-driver-services/comment_service.yaml",
            "description": "APIs for storing comments",
            "parentcategory": "Process Driver Services",
            "displayName": "Comments"
        },
        {
            "index": 4,
            "yaml": "../../OBO/obremo-rpm-process-driver-services/process_driver.yaml",
            "description": "APIs Process Driver operations",
            "parentcategory": "Process Driver Services",
            "displayName": "Process Driver Services"
        },
        {
            "index": 5,
            "yaml": "../../OBO/obremo-rpm-process-driver-services/process_driver_service.yaml",
            "description": "APIs Process Driver operations for External Systems",
            "parentcategory": "Process Driver Services",
            "displayName": "Process Driver Services for External System"
        },

        {
            "index": 6,
            "yaml": "../../OBO/obremo-rpm-process-driver-services/product_details.yaml",
            "description": "APIs Process Driver operations for Product Details",
            "parentcategory": "Process Driver Services",
            "displayName": "Process Driver Product Details"
        },
        {
            "index": 7,
            "yaml": "../../OBO/obremo-rpm-projection-services/batchProcessData.yaml",
            "description": "APIs for fetching data for batch operations",
            "parentcategory": "Projection Services",
            "displayName": "Batch Process Data"
        },
        {
            "index": 8,
            "yaml": "../../OBO/obremo-rpm-projection-services/dashboard.yaml",
            "description": "APIs for dashboard data",
            "parentcategory": "Projection Services",
            "displayName": "Dashboard"
        },
        {
            "index": 9,
            "yaml": "../../OBO/obremo-rpm-projection-services/inquiry.yaml",
            "description": "APIs for application enquiry",
            "parentcategory": "Projection Services",
            "displayName": "Inquiry"
        },
        {
            "index": 10,
            "yaml": "../../OBO/obremo-rpm-projection-services/inquiry_service.yaml",
            "description": "APIs for application enquiry for External Systems",
            "parentcategory": "Projection Services",
            "displayName": "Inquiry for External Systems"
        },
        {
            "index": 11,
            "yaml": "../../OBO/obremo-rpm-businessproductdetails-services/rpmtmbusinessproductdetails.yaml",
            "description": "API for Business Product details",
            "parentcategory": "Business Product Details Services",
            "displayName": "Business Product Details"
        },
        {
            "index": 12,
            "yaml": "../../OBO/obremo-rpm-businessproductdetails-services/rpmtmbussprodhostmaster.yaml",
            "description": "API for Business Product Host Details",
            "parentcategory": "Business Product Details Services",
            "displayName": "Business Product Host Details"
        },
        {
            "index": 13,
            "yaml": "../../OBO/obremo-rpm-businessproductdetails-services/rpmtmprodattrmaster.yaml",
            "description": "API for Business Product Attribute Details",
            "parentcategory": "Business Product Details Services",
            "displayName": "Business Product Attribute Details"
        },
        {
            "index": 14,
            "yaml": "../../OBO/obremo-rpm-businessproductdetails-services/rpmtmprodprefmaster.yaml",
            "description": "API for Business Product Preference Details",
            "parentcategory": "Business Product Details Services",
            "displayName": "Business Product Preference Details"
        },
        {
            "index": 15,
            "yaml": "../../OBO/obremo-rpm-businessproductdetails-services/businessproductAggregate.yaml",
            "description": "API for Business product aggregate",
            "parentcategory": "Business Product Details Services",
            "displayName": "Business Product Aggregate Details"
        },
        {
            "index": 16,
            "yaml": "../../OBO/obremo-rpm-businessprocess-services/businessprocess_webapi.yaml",
            "description": "API for Business Process",
            "parentcategory": "Business Process Services",
            "displayName": "Business Process"
        },
        {
            "index": 17,
            "yaml": "../../OBO/obremo-rpm-businessprocess-services/businessprocess_serviceapi.yaml",
            "description": "API for Business Process for External Systems",
            "parentcategory": "Business Process Services",
            "displayName": "Business Process for External Systems"
        },
        {
            "index": 18,
            "yaml": "../../OBO/obremo-rpm-maintenance-services/applicationmaintenance.yaml",
            "description": "API for maintenance data fetch",
            "parentcategory": "Maintenance Services",
            "displayName": "Maintenance Data"
        },
        {
            "index": 19,
            "yaml": "../../OBO/obremo-rpm-maintenance-services/applicationmaintenance_serviceapi.yaml",
            "description": "API for maintenance data fetch for External Systems",
            "parentcategory": "Maintenance Services",
            "displayName": "Maintenance Data for External Systems"
        },
        {
            "index": 20,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/accountdetails.yaml",
            "description": "API for Current and Savings Account Account Details",
            "parentcategory": "Sav Account Services",
            "displayName": "Account Details"
        },
        {
            "index": 21,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/AccServicesPrefDetails.yaml",
            "description": "API for Current and Savings Account Account Service Preference Details",
            "parentcategory": "Sav Account Services",
            "displayName": "Account Service Preference Details"
        },
        {
            "index": 22,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/ApprovalDetails.yaml",
            "description": "API for Current and Savings Account Approval Details",
            "parentcategory": "Sav Account Services",
            "displayName": "Approval Details"
        },
        // {
        //     "index": 23,
        //     "yaml": "../../OBO/obremo-rpm-sav-account-service/assessmentdetails.yaml",
        //     "description": "API for Current and Savings Account Assessment Details",
        //     "parentcategory": "Sav Account Services",
        //     "displayName": "Assessment Details"
        // },
        {
            "index": 24,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/backofficedetails.yaml",
            "description": "API for Current and Savings Account Back Office Details",
            "parentcategory": "Sav Account Services",
            "displayName": "Back Office Details"
        },
        {
            "index": 25,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/ChargeDetails.yaml",
            "description": "API for Current and Savings Account Charge Details",
            "parentcategory": "Sav Account Services",
            "displayName": "Charge Details"
        },
        {
            "index": 26,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/InitialFundingDetails.yaml",
            "description": "API for Current and Savings Account Initial Funding Details",
            "parentcategory": "Sav Account Services",
            "displayName": "Initial Funding Details"
        },
        {
            "index": 27,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/InterestDetails.yaml",
            "description": "API for Current and Savings Account Interest Details",
            "parentcategory": "Sav Account Services",
            "displayName": "Interest Details"
        },
        {
            "index": 28,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/MandateDetails.yaml",
            "description": "API for Current and Savings Account Mandate Details",
            "parentcategory": "Sav Account Services",
            "displayName": "Mandate Details"
        },
        {
            "index": 29,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/Nomineedetails.yaml",
            "description": "API for Current and Savings Account Nominee Details",
            "parentcategory": "Sav Account Services",
            "displayName": "Nominee Details"
        },
        {
            "index": 30,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/ODAdvanceDetails.yaml",
            "description": "API for Current and Savings Account Advance Details",
            "parentcategory": "Sav Account Services",
            "displayName": "Advance Details"
        },
      /*  {
            "index": 31,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/OdSecuredDetails.yaml",
            "description": "API for Current and Savings Account OD Secured Details",
            "parentcategory": "Sav Account Services",
            "displayName": "OD Secured Details"
        },*/
        {
            "index": 32,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/OdTempUnsecureDetails.yaml",
            "description": "API for Current and Savings Account OD Temp Unsecured Details",
            "parentcategory": "Sav Account Services",
            "displayName": "OD Temp Unsecured Details"
        },
       /* {
            "index": 33,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/OdUnsecureDetails.yaml",
            "description": "API for Current and Savings Account OD Unsecured Details",
            "parentcategory": "Sav Account Services",
            "displayName": "OD Unsecured Details"
        },*/
        {
            "index": 34,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/savingApplication.yaml",
            "description": "API for Current and Savings Account Application",
            "parentcategory": "Sav Account Services",
            "displayName": "Aggregate Details"
        },
        {
            "index": 35,
            "yaml": "../../OBO/obremo-rpm-term-deposit-service/accountdetails.yaml",
            "description": "API for Term Deposit Account Details",
            "parentcategory": "Term Deposit Services",
            "displayName": "Account Details"
        },
        {
            "index": 36,
            "yaml": "../../OBO/obremo-rpm-term-deposit-service/AccServicesPrefDetails.yaml",
            "description": "API for Term Deposit Account Services Preference Details",
            "parentcategory": "Term Deposit Services",
            "displayName": "Account Services Preference Details"
        },
        {
            "index": 37,
            "yaml": "../../OBO/obremo-rpm-term-deposit-service/ApprovalDetails.yaml",
            "description": "API for Term Deposit Approval Details",
            "parentcategory": "Term Deposit Services",
            "displayName": "Approval Details"
        },
        {
            "index": 38,
            "yaml": "../../OBO/obremo-rpm-term-deposit-service/InitialFundingDetails.yaml",
            "description": "API for Term Deposit Initial Funding Details",
            "parentcategory": "Term Deposit Services",
            "displayName": "Initial Funding Details"
        },
        {
            "index": 39,
            "yaml": "../../OBO/obremo-rpm-term-deposit-service/InterestDetails.yaml",
            "description": "API for Term Deposit Interest Details",
            "parentcategory": "Term Deposit Services",
            "displayName": "Interest Details"
        },
        {
            "index": 40,
            "yaml": "../../OBO/obremo-rpm-term-deposit-service/MandateDetails.yaml",
            "description": "API for Term Deposit Mandate Details",
            "parentcategory": "Term Deposit Services",
            "displayName": "Mandate Details"
        },
        {
            "index": 41,
            "yaml": "../../OBO/obremo-rpm-term-deposit-service/Nomineedetails.yaml",
            "description": "API for Term Deposit Nominee Details",
            "parentcategory": "Term Deposit Services",
            "displayName": "Nominee Details"
        },
        {
            "index": 42,
            "yaml": "../../OBO/obremo-rpm-term-deposit-service/TermDepositApplication.yaml",
            "description": "API for Term Deposit Application",
            "parentcategory": "Term Deposit Services",
            "displayName": "Aggregate Details"
        },
        {
            "index": 43,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/accountcreation.yaml",
            "description": "API for Loans Account Creation",
            "parentcategory": "Loan Application Services",
            "displayName": "Account Creation"
        },
        {
            "index": 44,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/accountdetails.yaml",
            "description": "API for Loans Account Details",
            "parentcategory": "Loan Application Services",
            "displayName": "Account Details"
        },
        {
            "index": 45,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/accountservices.yaml",
            "description": "API for Loans Account Services",
            "parentcategory": "Loan Application Services",
            "displayName": "Account Services"
        },
        {
            "index": 46,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/admissiondetails.yaml",
            "description": "API for Loans Admission Details",
            "parentcategory": "Loan Application Services",
            "displayName": "Admission Details"
        },
        {
            "index": 47,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/approvaldetails.yaml",
            "description": "API for Loans Approval Details",
            "parentcategory": "Loan Application Services",
            "displayName": "Approval Details"
        },
    /*    {
            "index": 48,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/Assessmentdetails.yaml",
            "description": "API for Loans Assessment Details",
            "parentcategory": "Loan Application Services",
            "displayName": "Assessment Details"
        },*/
        {
            "index": 49,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/backofficedetails.yaml",
            "description": "API for Loans Back Office Details",
            "parentcategory": "Loan Application Services",
            "displayName": "Back Office Details"
        },
        {
            "index": 50,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/chargedetails.yaml",
            "description": "API for Loans Charge Details",
            "parentcategory": "Loan Application Services",
            "displayName": "Charge Details"
        },
        {
            "index": 51,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/creditratingdetails.yaml",
            "description": "API for Loans Credit Rating Details",
            "parentcategory": "Loan Application Services",
            "displayName": "Credit Rating Details"
        },
        {
            "index": 52,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/customerdecision.yaml",
            "description": "API for Loans Customer Decision",
            "parentcategory": "Loan Application Services",
            "displayName": "Customer Decision"
        },
        {
            "index": 53,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/disbursementdetails.yaml",
            "description": "API for Loans Disbursement Decision",
            "parentcategory": "Loan Application Services",
            "displayName": "Disbursement Decision"
        },
        {
            "index": 54,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/edufinancialdetails.yaml",
            "description": "API for Loans Education Financial Details",
            "parentcategory": "Loan Application Services",
            "displayName": "Education Financial Details"
        },
        {
            "index": 55,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/guarantordetails.yaml",
            "description": "API for Loans Guarantor Details",
            "parentcategory": "Loan Application Services",
            "displayName": "Guarantor Details"
        },
        {
            "index": 56,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/interestdetails.yaml",
            "description": "API for Loans Interest Details",
            "parentcategory": "Loan Application Services",
            "displayName": "Interest Details"
        },
        {
            "index": 57,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/issueofferdetails.yaml",
            "description": "API for Loans Issue of Offer Details",
            "parentcategory": "Loan Application Services",
            "displayName": "Issue of Offer Details"
        },
        {
            "index": 58,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/loanapplication.yaml",
            "description": "API for Loans Application",
            "parentcategory": "Loan Application Services",
            "displayName": "Aggregate Details"
        },
        {
            "index": 59,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/loanapplicationservice.yaml",
            "description": "API for Loans Application Service",
            "parentcategory": "Loan Application Services",
            "displayName": "Loan Application"
        },
        {
            "index": 60,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/loandetails.yaml",
            "description": "API for Loans Basic Details",
            "parentcategory": "Loan Application Services",
            "displayName": "Loan Details"
        },
        {
            "index": 61,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/loanproductdetails.yaml",
            "description": "API for Loans Product Details",
            "parentcategory": "Loan Application Services",
            "displayName": "Loan Product Details"
        },
        {
            "index": 62,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/mandatedetails.yaml",
            "description": "API for Loans Mandate Details",
            "parentcategory": "Loan Application Services",
            "displayName": "Mandate Details"
        },
        {
            "index": 63,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/postamendmentdetails.yaml",
            "description": "API for Loans Post Amendment Details",
            "parentcategory": "Loan Application Services",
            "displayName": "Post Amendment Details"
        },
        {
            "index": 64,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/repaymentdetails.yaml",
            "description": "API for Loans Repayment Details",
            "parentcategory": "Loan Application Services",
            "displayName": "Repayment Details"
        },
        {
            "index": 65,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/loansummary.yaml",
            "description": "API for Loans Summary",
            "parentcategory": "Loan Application Services",
            "displayName": "Loan Summary"
        },
        {
            "index": 66,
            "yaml": "../../OBO/obremo-rpm-cmn-applicantservices/applicantAggregateServices.yaml",
            "description": "API for Common Applicant Aggregate",
            "parentcategory": "Common Applicant Services",
            "displayName": "Aggregate Details"
        },
        {
            "index": 67,
            "yaml": "../../OBO/obremo-rpm-cmn-applicantservices/applicantDetailsServiceApi.yaml",
            "description": "API for Common Applicant Details",
            "parentcategory": "Common Applicant Services",
            "displayName": "Applicant Details"
        },
        {
            "index": 68,
            "yaml": "../../OBO/obremo-rpm-cmn-applicantservices/applicantservices.yaml",
            "description": "API for Common Applicant Service Details",
            "parentcategory": "Common Applicant Services",
            "displayName": "Applicant"
        },
        {
            "index": 69,
            "yaml": "../../OBO/obremo-rpm-cmn-applicantservices/ApplicantTypeServices.yaml",
            "description": "API for Common Applicant Type Services",
            "parentcategory": "Common Applicant Services",
            "displayName": "Applicant Type Details"
        },
        {
            "index": 70,
            "yaml": "../../OBO/obremo-rpm-cmn-applicantservices/CustOnboardServices.yaml",
            "description": "API for Common Applicant Customer Onboarding Services",
            "parentcategory": "Common Applicant Services",
            "displayName": "Customer Onboarding Details"
        },
        {
            "index": 71,
            "yaml": "../../OBO/obremo-rpm-cmn-applicantservices/financialdetails.yaml",
            "description": "API for Common Applicant Financial Details",
            "parentcategory": "Common Applicant Services",
            "displayName": "Financial Details"
        },
        {
            "index": 72,
            "yaml": "../../OBO/obremo-rpm-cmn-applicantservices/partyMaintenanceWeb.yaml",
            "description": "API for Party Maintenance for Routing Hub",
            "parentcategory": "Common Applicant Services",
            "displayName": "Party Maintenance"
        },
        {
            "index": 73,
            "yaml": "../../OBO/obremo-rpm-cmn-applicantservices/partyservices.yaml",
            "description": "API for Party Services for Routing Hub",
            "parentcategory": "Common Applicant Services",
            "displayName": "Party Services"
        },
        {
            "index": 74,
            "yaml": "../../OBO/obremo-rpm-cmn-applicantservices/partyservicesWeb.yaml",
            "description": "API for Web Party Services for Routing Hub",
            "parentcategory": "Common Applicant Services",
            "displayName": "Party Web Services"
        },
        {
            "index": 75,
            "yaml": "../../OBO/obremo-rpm-cmn-applicantservices/stakeholderservices.yaml",
            "description": "API for Stakeholder Services",
            "parentcategory": "Common Applicant Services",
            "displayName": "Stakeholder Services"
        },
        {
            "index": 76,
            "yaml": "../../OBO/obremo-rpm-cmn-scorecardservices/assessmentdetails.yaml",
            "description": "API for Scorecard Assessment Details",
            "parentcategory": "Score Card Services",
            "displayName": "Assessment Details"
        },
       /* {
            "index": 77,
            "yaml": "../../OBO/obremo-rpm-cmn-scorecardservices/attributelist.yaml",
            "description": "API for Scorecard Attribute Details",
            "parentcategory": "Score Card Services",
            "displayName": "Attribute List"
        },*/
        {
            "index": 78,
            "yaml": "../../OBO/obremo-rpm-cmn-scorecardservices/qualitativeconfiguration.yaml",
            "description": "API for Scorecard Qualitative Configuration",
            "parentcategory": "Score Card Services",
            "displayName": "Qualitative Configuration"
        },
        {
            "index": 79,
            "yaml": "../../OBO/obremo-rpm-cmn-scorecardservices/qualitativeconfigurationds.yaml",
            "description": "API for Scorecard Qualitative DS",
            "parentcategory": "Score Card Services",
            "displayName": "Qualitative Configuration Details"
        },
        /*{
            "index": 80,
            "yaml": "../../OBO/obremo-rpm-cmn-scorecardservices/quantitativeconfiguration.yaml",
            "description": "API for Scorecard Quantitative Configuration",
            "parentcategory": "Score Card Services",
            "displayName": "Quantitative Configuration"
        },*/
        {
            "index": 81,
            "yaml": "../../OBO/obremo-rpm-cmn-scorecardservices/scorecardproductdetails.yaml",
            "description": "API for Scorecard Product Details",
            "parentcategory": "Score Card Services",
            "displayName": "Product Details"
        },
        {
            "index": 82,
            "yaml": "../../OBO/obremo-rpm-cmn-scorecardservices/scorecardservices.yaml",
            "description": "API for Scorecard Services",
            "parentcategory": "Score Card Services",
            "displayName": "Aggregate Details"
        },
        {
            "index": 83,
            "yaml": "../../OBO/obremo-rpm-cmn-hostservices/casaapplication.yaml",
            "description": "API for Host Current and Savings Account Application",
            "parentcategory": "Host Services",
            "displayName": "Current and Savings Application"
        },
        {
            "index": 84,
            "yaml": "../../OBO/obremo-rpm-cmn-hostservices/liabilityproduct.yaml",
            "description": "API for Host Liability Product",
            "parentcategory": "Host Services",
            "displayName": "Liability Product Details"
        },
        {
            "index": 85,
            "yaml": "../../OBO/obremo-rpm-cmn-hostservices/loanproduct.yaml",
            "description": "API for Host Loan Product",
            "parentcategory": "Host Services",
            "displayName": "Loan Product Details"
        },
        {
            "index": 86,
            "yaml": "../../OBO/obremo-rpm-cmn-hostservices/termdeposit.yaml",
            "description": "API for Host Term Deposit",
            "parentcategory": "Host Services",
            "displayName": "Term Deposit Details"
        },
        {
            "index": 87,
            "yaml": "../../OBO/obremo-rpm-maintenance-services/CoreAccount.yaml",
            "description": "API for Core Account Maintenance",
            "parentcategory": "Maintenance Services",
            "displayName": "Core Account List"
        },
        {
            "index": 88,
            "yaml": "../../OBO/obremo-rpm-maintenance-services/extCommDetails.yaml",
            "description": "API for Awaiting Customer Clarification Details",
            "parentcategory": "Maintenance Services",
            "displayName": "Awaiting Customer Clarification Details"
        },
        {
            "index": 89,
            "yaml": "../../OBO/obremo-rpm-cmn-ipaservices/approvalipadetails.yaml",
            "description": "API for In-Principle Approval Details",
            "parentcategory": "Ipa Services",
            "displayName": "In-Principle Approval Approval Details"
        },
        {
            "index": 90,
            "yaml": "../../OBO/obremo-rpm-cmn-ipaservices/documentLinkage.yaml",
            "description": "API for Document Linkage",
            "parentcategory": "Ipa Services",
            "displayName": "In-Principle Approval Document Linkage"
        },
        {
            "index": 91,
            "yaml": "../../OBO/obremo-rpm-cmn-ipaservices/generateipadetails.yaml",
            "description": "API for In-Principle Approval Generate Details",
            "parentcategory": "Ipa Services",
            "displayName": "Generate In-Principle Approval Details"
        },
        {
            "index": 92,
            "yaml": "../../OBO/obremo-rpm-cmn-ipaservices/ipadetails.yaml",
            "description": "API for In-Principle Approval Details",
            "parentcategory": "Ipa Services",
            "displayName": "In-Principle Approval Details"
        },
        {
            "index": 93,
            "yaml": "../../OBO/obremo-rpm-cmn-ipaservices/ipaproductdetails.yaml",
            "description": "API for In-Principle Approval Product Details",
            "parentcategory": "Ipa Services",
            "displayName": "In-Principle Approval Product Details"
        },
        {
            "index": 94,
            "yaml": "../../OBO/obremo-rpm-cmn-ipaservices/ipaservices.yaml",
            "description": "API for In-Principle Approval Aggregate Details",
            "parentcategory": "Ipa Services",
            "displayName": "In-Principle Approval Aggregate Details"
        },
        {
            "index": 95,
            "yaml": "../../OBO/obremo-rpm-creditcardapplication-services/creditcarddetails.yaml",
            "description": "API for Credit Card Details",
            "parentcategory": "Credit Card Application Services",
            "displayName": "Credit Card Details"
        },
        {
            "index": 96,
            "yaml": "../../OBO/obremo-rpm-creditcardapplication-services/creditcardproductdetails.yaml",
            "description": "API for Credit Card Product Details",
            "parentcategory": "Credit Card Application Services",
            "displayName": "Credit Card Product Details"
        },
        {
            "index": 97,
            "yaml": "../../OBO/obremo-rpm-creditcardapplication-services/cardpreference.yaml",
            "description": "API for Credit Card Preference Details",
            "parentcategory": "Credit Card Application Services",
            "displayName": "Credit Card Preference Details"
        },
        {
            "index": 98,
            "yaml": "../../OBO/obremo-rpm-creditcardapplication-services/Addoncardholder.yaml",
            "description": "API for Credit Card Addon Details",
            "parentcategory": "Credit Card Application Services",
            "displayName": "Credit Card Addon Details"
        },
        {
            "index": 99,
            "yaml": "../../OBO/obremo-rpm-creditcardapplication-services/chargedetails.yaml",
            "description": "API for Credit Card Charge Details",
            "parentcategory": "Credit Card Application Services",
            "displayName": "Credit Card Charge Details"
        },
        {
            "index": 100,
            "yaml": "../../OBO/obremo-rpm-creditcardapplication-services/interestdetails.yaml",
            "description": "API for Credit Card Interest Details",
            "parentcategory": "Credit Card Application Services",
            "displayName": "Credit Card Interest Details"
        },
        {
            "index": 101,
            "yaml": "../../OBO/obremo-rpm-creditcardapplication-services/assessmentdetails.yaml",
            "description": "API for Credit Card Assessment Details",
            "parentcategory": "Credit Card Application Services",
            "displayName": "Credit Card Assessment Details"
        },
        {
            "index": 102,
            "yaml": "../../OBO/obremo-rpm-creditcardapplication-services/approvaldetails.yaml",
            "description": "API for Credit Card Approval Details",
            "parentcategory": "Credit Card Application Services",
            "displayName": "Credit Card Approval Details"
        },
        {
            "index": 103,
            "yaml": "../../OBO/obremo-rpm-creditcardapplication-services/creditcardservices.yaml",
            "description": "API for Credit Card Aggregate ",
            "parentcategory": "Credit Card Application Services",
            "displayName": "Credit Card Aggregate"
        },
        {
            "index": 104,
            "yaml": "../../OBO/obremo-rpm-cmn-collateralservices/collateraldetails.yaml",
            "description": "API for Collateral Details",
            "parentcategory": "Collateral Services",
            "displayName": "Collateral Details"
        },
        {
            "index": 105,
            "yaml": "../../OBO/obremo-rpm-cmn-collateralservices/collateralservices.yaml",
            "description": "API for Collateral Aggregate",
            "parentcategory": "Collateral Services",
            "displayName": "Collateral Aggregate Details"
        },
        {
            "index": 106,
            "yaml": "../../OBO/obremo-rpm-cmn-collateralservices/legalopiniondetails.yaml",
            "description": "API for Legal Opinion Details",
            "parentcategory": "Collateral Services",
            "displayName": "Collateral Legal Opinion Details"
        },
        {
            "index": 107,
            "yaml": "../../OBO/obremo-rpm-cmn-collateralservices/perfectiondetails.yaml",
            "description": "API for Perfection Details",
            "parentcategory": "Collateral Services",
            "displayName": "Collateral Perfection Details"
        },
        {
            "index": 108,
            "yaml": "../../OBO/obremo-rpm-cmn-collateralservices/valuationdetails.yaml",
            "description": "API for Valuation Details",
            "parentcategory": "Collateral Services",
            "displayName": "Collateral Valuation Details"
        },
        {
            "index": 109,
            "yaml": "../../OBO/obremo-rpm-cmn-hostservices/collateralcreation.yaml",
            "description": "API for Collateral Creation",
            "parentcategory": "Host Services",
            "displayName": "Collateral Creation"
        },
        {
            "index": 110,
            "yaml": "../../OBO/obremo-rpm-cmn-hostservices/collateralenquiry.yaml",
            "description": "API for Collateral Enquiry",
            "parentcategory": "Host Services",
            "displayName": "Collateral Enquiry"
        },
        {
            "index": 111,
            "yaml": "../../OBO/obremo-rpm-cmn-mlservice/ProcessTimePrediction.yaml",
            "description": "API for Machine Learning Usecase",
            "parentcategory": "ML Service",
            "displayName": "Machine Learning for Process Creation Time Prediction"
        },
        {
            "index": 112,
            "yaml": "../../OBO/obremo-rpm-cmn-applicantservices/applicantproductdetails.yaml",
            "description": "API for Applicant Product Deatils",
            "parentcategory": "Common Applicant Services",
            "displayName": "Applicant Product Deatils"
        },
        {
            "index": 113,
            "yaml": "../../OBO/obremo-rpm-cmn-applicantservices/ConsentServices.yaml",
            "description": "API for Consent Deatils",
            "parentcategory": "Common Applicant Services",
            "displayName": "Consent Deatils"
        },
        {
            "index": 114,
            "yaml": "../../OBO/obremo-rpm-cmn-applicantservices/creditratingdetails.yaml",
            "description": "API for Credit Rating Details",
            "parentcategory": "Common Applicant Services",
            "displayName": "Credit Rating Details"
        },
        {
            "index": 115,
            "yaml": "../../OBO/obremo-rpm-cmn-applicantservices/documentLinkage.yaml",
            "description": "API for Document Linkage",
            "parentcategory": "Common Applicant Services",
            "displayName": "Document Linkage"
        },
        {
            "index": 116,
            "yaml": "../../OBO/obremo-rpm-cmn-applicantservices/ProdPref.yaml",
            "description": "API for Product Preference Details",
            "parentcategory": "Common Applicant Services",
            "displayName": "Product Preference Details"
        },
        {
            "index": 117,
            "yaml": "../../OBO/obremo-rpm-cmn-applicantservices/relationship.yaml",
            "description": "API for Relationship Details",
            "parentcategory": "Common Applicant Services",
            "displayName": "Relationship Details"
        },
        {
            "index": 118,
            "yaml": "../../OBO/obremo-rpm-cmn-applicantservices/TermsAndConditionServices.yaml",
            "description": "API for Terms And Condition Details",
            "parentcategory": "Common Applicant Services",
            "displayName": "Terms And Condition Details"
        },
        {
            "index": 119,
            "yaml": "../../OBO/obremo-rpm-cmn-collateralservices/documentLinkage.yaml",
            "description": "API for Document Linkage Details",
            "parentcategory": "Collateral Services",
            "displayName": "Document Linkage"
        },
        {
            "index": 120,
            "yaml": "../../OBO/obremo-rpm-cmn-collateralservices/solicitordetails.yaml",
            "description": "API for Solicitor Details",
            "parentcategory": "Collateral Services",
            "displayName": "Solicitor Details"
        },
        {
            "index": 121,
            "yaml": "../../OBO/obremo-rpm-cmn-scorecardservices/assessmentsummary.yaml",
            "description": "API for Scorecard Assessment Summary Details",
            "parentcategory": "Score Card Services",
            "displayName": "Scorecard Assessment Summary"
        },
        {
            "index": 122,
            "yaml": "../../OBO/obremo-rpm-cmn-scorecardservices/manualcreditdecision.yaml",
            "description": "API for Manual Credit Decision Details",
            "parentcategory": "Score Card Services",
            "displayName": "Manual Credit Decision"
        },
        {
            "index": 123,
            "yaml": "../../OBO/obremo-rpm-cmn-scorecardservices/manualcreditrecommendation.yaml",
            "description": "API for Manual Credit Recommendation Details",
            "parentcategory": "Score Card Services",
            "displayName": "Manual Credit Recommendation"
        },
        {
            "index": 124,
            "yaml": "../../OBO/obremo-rpm-cmn-scorecardservices/documentLinkage.yaml",
            "description": "API for Document Linkage Details",
            "parentcategory": "Score Card Services",
            "displayName": "Document Linkage"
        },
        {
            "index": 125,
            "yaml": "../../OBO/obremo-rpm-creditcardapplication-services/documentLinkage.yaml",
            "description": "API for Document Linkage Details",
            "parentcategory": "Credit Card Application Services",
            "displayName": "Document Linkage"
        },
        {
            "index": 126,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/creditrestrictions.yaml",
            "description": "API for Credit Restrictions Details",
            "parentcategory": "Loan Application Services",
            "displayName": "Credit Restrictions"
        },
        {
            "index": 127,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/mortgageinsurance.yaml",
            "description": "API for Mortgage Insurance Details",
            "parentcategory": "Loan Application Services",
            "displayName": "Mortgage Insurance"
        },
        {
            "index": 128,
            "yaml": "../../OBO/obremo-rpm-lo-loanapplications/documentLinkage.yaml",
            "description": "API for Document Linkage Details",
            "parentcategory": "Loan Application Services",
            "displayName": "Document Linkage"
        },
        {
            "index": 129,
            "yaml": "../../OBO/obremo-rpm-maintenance-services/OriginPreferences.yaml",
            "description": "API for Origin Preferences Details",
            "parentcategory": "Maintenance Services",
            "displayName": "Origin Preferences"
        },
        {
            "index": 130,
            "yaml": "../../OBO/obremo-rpm-maintenance-services/reasonCode.yaml",
            "description": "API for Reason Code",
            "parentcategory": "Maintenance Services",
            "displayName": "Reason Code"
        },
        {
            "index": 131,
            "yaml": "../../OBO/obremo-rpm-maintenance-services/ApplicationParameters.yaml",
            "description": "API for Application Parameters Details",
            "parentcategory": "Maintenance Services",
            "displayName": "Application Parameters"
        },
        {
            "index": 132,
            "yaml": "../../OBO/obremo-rpm-maintenance-services/DocumentLinkage.yaml",
            "description": "API for Document Linkage Details",
            "parentcategory": "Maintenance Services",
            "displayName": "Document Linkage"
        },
        {
            "index": 133,
            "yaml": "../../OBO/obremo-rpm-process-driver-services/dashboard.yaml",
            "description": "API for Dashboard Details",
            "parentcategory": "Process Driver Services",
            "displayName": "Dashboard Details"
        },
        {
            "index": 134,
            "yaml": "../../OBO/obremo-rpm-process-driver-services/reason_service.yaml",
            "description": "API for Reason Service Details",
            "parentcategory": "Process Driver Services",
            "displayName": "reason Service Details"
        },
        {
            "index": 135,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/OdApprovalDetails.yaml",
            "description": "API for OD Approval Details",
            "parentcategory": "Sav Account Services",
            "displayName": "OD Approval Details"
        },
        {
            "index": 136,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/debitBureauInformation.yaml",
            "description": "API for Debit Bureau Information Details",
            "parentcategory": "Sav Account Services",
            "displayName": "Debit Bureau Information"
        },
        {
            "index": 137,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/manualdecision.yaml",
            "description": "API for Manual Decision Details",
            "parentcategory": "Sav Account Services",
            "displayName": "Manual Decision"
        },
        {
            "index": 138,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/CasaProductDetails.yaml",
            "description": "API for CASA Product Details",
            "parentcategory": "Sav Account Services",
            "displayName": "CASA Product Details"
        },
        {
            "index": 139,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/customerdecision.yaml",
            "description": "API for Customer Decision Details",
            "parentcategory": "Sav Account Services",
            "displayName": "Customer Decision"
        },
        {
            "index": 140,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/OdAccountLimitDetails.yaml",
            "description": "API for OD Account Limit Details",
            "parentcategory": "Sav Account Services",
            "displayName": "OD Account Limit"
        },
        {
            "index": 141,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/OfferIssue.yaml",
            "description": "API for Offer Issue Details",
            "parentcategory": "Sav Account Services",
            "displayName": "Offer Issue"
        },
        {
            "index": 142,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/postamendmentdetails.yaml",
            "description": "API for Post Amendment Details",
            "parentcategory": "Sav Account Services",
            "displayName": "Post Amendment Details"
        },
        {
            "index": 143,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/applicantservices.yaml",
            "description": "API for Applicant Service Details",
            "parentcategory": "Sav Account Services",
            "displayName": "Applicant Services"
        },
        {
            "index": 144,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/ApplicantTypeServices.yaml",
            "description": "API for Applicant Type Services Details",
            "parentcategory": "Sav Account Services",
            "displayName": "Applicant Type Services"
        },
        {
            "index": 145,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/documentLinkage.yaml",
            "description": "API for Document Linkage Details",
            "parentcategory": "Sav Account Services",
            "displayName": "Document Linkage Details"
        },
        {
            "index": 146,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/savingAggregate.yaml",
            "description": "API for Saving Aggregate Details",
            "parentcategory": "Sav Account Services",
            "displayName": "Saving Aggregate Details"
        },
        {
            "index": 147,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/tellerTxn.yaml",
            "description": "API for Teller Transaction Details",
            "parentcategory": "Sav Account Services",
            "displayName": "Teller Transaction Details"
        },
        {
            "index": 148,
            "yaml": "../../OBO/obremo-rpm-sav-account-service/CasaAggregate.yaml",
            "description": "API for Casa Aggregate Details",
            "parentcategory": "Sav Account Services",
            "displayName": "Casa Aggregate"
        },
        {
            "index": 149,
            "yaml": "../../OBO/obremo-rpm-term-deposit-service/backofficedetails.yaml",
            "description": "API for Loans Back Office Details",
            "parentcategory": "Term Deposit Services",
            "displayName": "Back Office Details"
        },
        {
            "index": 150,
            "yaml": "../../OBO/obremo-rpm-term-deposit-service/applicantservices.yaml",
            "description": "API for Applicant Service Details",
            "parentcategory": "Term Deposit Services",
            "displayName": "Applicant Service"
        },
        {
            "index": 151,
            "yaml": "../../OBO/obremo-rpm-term-deposit-service/documentLinkage.yaml",
            "description": "API for Document Linkage Details",
            "parentcategory": "Term Deposit Services",
            "displayName": "Document Linkage"
        },
        {
            "index": 152,
            "yaml": "../../OBO/obremo-rpm-term-deposit-service/ProdAttr.yaml",
            "description": "API for Business Product Attribute Details",
            "parentcategory": "Term Deposit Services",
            "displayName": "Product Attribute Details"
        },
        {
            "index": 153,
            "yaml": "../../OBO/obremo-rpm-term-deposit-service/ProdPref.yaml",
            "description": "API for Product Preference Details",
            "parentcategory": "Term Deposit Services",
            "displayName": "Product Preference Details"
        },
        {
            "index": 154,
            "yaml": "../../OBO/obremo-rpm-term-deposit-service/TdApplication.yaml",
            "description": "API for Term Deposit Application Details",
            "parentcategory": "Term Deposit Services",
            "displayName": "Term Deposit Application"
        },
        {
            "index": 155,
            "yaml": "../../OBO/obremo-rpm-term-deposit-service/tellerTxn.yaml",
            "description": "API for Teller Transaction Details",
            "parentcategory": "Term Deposit Services",
            "displayName": "Teller Transaction"
        },
        {
            "index": 156,
            "yaml": "../../OBO/obremo-rpm-term-deposit-service/TDAggregate.yaml",
            "description": "API for Term Deposit Aggregate Details",
            "parentcategory": "Term Deposit Services",
            "displayName": "Term Deposit Aggregate"
        },
        {
            "index": 157,
            "yaml": "../../OBO/obremo-rpm-projection-services/alert.yaml",
            "description": "APIs for Alert Details",
            "parentcategory": "Projection Services",
            "displayName": "Alert Details"
        },
        {
            "index": 159,
            "yaml": "../../OBO/obremo-rpm-process-driver-services/inquiry.yaml",
            "description": "API for Inquiry Details",
            "parentcategory": "Process Driver Services",
            "displayName": "Inquiry Details"
        },
        {
            "index": 160,
            "yaml": "../../OBO/obremo-rpm-process-driver-services/inquiry_service.yaml",
            "description": "API for Inquiry Service Details",
            "parentcategory": "Process Driver Services",
            "displayName": "inquiry Service Details"
        }
    ]}